"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
require("rxjs/add/operator/toPromise");
var AcademiaPaginationService = /** @class */ (function () {
    function AcademiaPaginationService() {
    }
    AcademiaPaginationService.prototype.getRecordsByPage = function (page, pageSize, records) {
        var recordsPaginated = [];
        var start = (page - 1) * pageSize;
        var limit = start + pageSize;
        if (limit > records.length) {
            limit = records.length;
        }
        for (var i = start; i <= limit - 1; i++) {
            if (records[i]) {
                recordsPaginated.push(records[i]);
            }
        }
        return recordsPaginated;
    };
    AcademiaPaginationService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    AcademiaPaginationService.ctorParameters = function () { return []; };
    return AcademiaPaginationService;
}());
exports.AcademiaPaginationService = AcademiaPaginationService;
//# sourceMappingURL=academia-pagination.component.service.js.map