"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var academia_pagination_component_1 = require("./academia-pagination.component");
var academia_pagination_component_service_1 = require("./academia-pagination.component.service");
var api_angular_academia_intl_1 = require("api-angular-academia-intl");
var ngx_bootstrap_1 = require("ngx-bootstrap");
var forms_1 = require("@angular/forms");
var ngxModules = [
    ngx_bootstrap_1.PaginationModule.forRoot()
];
var AcademiaPaginationModule = /** @class */ (function () {
    function AcademiaPaginationModule() {
    }
    AcademiaPaginationModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule,
                        forms_1.FormsModule,
                        forms_1.ReactiveFormsModule,
                        ngxModules,
                        api_angular_academia_intl_1.I18NModule
                    ],
                    declarations: [academia_pagination_component_1.AcademiaPaginationComponent],
                    exports: [common_1.CommonModule, academia_pagination_component_1.AcademiaPaginationComponent],
                    providers: [academia_pagination_component_service_1.AcademiaPaginationService]
                },] },
    ];
    return AcademiaPaginationModule;
}());
exports.AcademiaPaginationModule = AcademiaPaginationModule;
//# sourceMappingURL=academia-pagination.module.js.map