"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var research_group_lines_list_service_1 = require("./research.group.lines.list/research.group.lines.list.service");
var research_group_lines_list_component_1 = require("./research.group.lines.list/research.group.lines.list.component");
var forms_1 = require("@angular/forms");
var ngx_bootstrap_1 = require("ngx-bootstrap");
var api_angular_academia_intl_1 = require("api-angular-academia-intl");
var service_locator_1 = require("../../../service-locator");
var academia_pagination_1 = require("../../../academia-pagination/academia-pagination");
var search_combo_box_1 = require("../../../search-combo-box/search-combo-box");
var ResearchGroupLineListModule = /** @class */ (function () {
    function ResearchGroupLineListModule() {
    }
    ResearchGroupLineListModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule,
                        forms_1.FormsModule,
                        ngx_bootstrap_1.ModalModule.forRoot(),
                        api_angular_academia_intl_1.I18NModule,
                        academia_pagination_1.AcademiaPaginationModule,
                        search_combo_box_1.SearchComboBoxModule
                    ],
                    exports: [research_group_lines_list_component_1.ResearchGroupLinesListComponent],
                    declarations: [research_group_lines_list_component_1.ResearchGroupLinesListComponent],
                    providers: [research_group_lines_list_service_1.ResearchGroupLinesListService, service_locator_1.ServiceLocator]
                },] },
    ];
    return ResearchGroupLineListModule;
}());
exports.ResearchGroupLineListModule = ResearchGroupLineListModule;
/* protected region developer's' code on begin */
/* protected region developer's' code end */
//# sourceMappingURL=research.group.lines.list.module.js.map