import { OnInit, EventEmitter, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap/modal';
import { TranslateService } from '@ngx-translate/core';
import { ResearchGroupLinesListService } from './research.group.lines.list.service';
import { Observable } from 'rxjs/Observable';
import { ResearchGroupLinesListServiceModel } from './research.group.lines.list.servicemodel';
import { ResearchGroupLinesListModel } from './research.group.lines.list.model';
import { ServiceLocator } from '../../../../service-locator';
import { TitleCaseAcademiaPipe } from '../../../../utils/utils';
import { FormBuilder } from '@angular/forms';
export declare class ResearchGroupLinesListComponent implements OnInit, OnDestroy {
    private _formBuilder;
    cd: ChangeDetectorRef;
    urlService: ServiceLocator;
    service: ResearchGroupLinesListService;
    transService: TranslateService;
    titlecasePipe: TitleCaseAcademiaPipe;
    modalDirectiveMulti: ModalDirective;
    selectFirst: boolean;
    debugFlag: boolean;
    readonly: boolean;
    preSelect: any;
    onMultiSelection: EventEmitter<{}>;
    selectedElements: any[];
    data: ResearchGroupLinesListModel[];
    modelServiceRG: ResearchGroupLinesListServiceModel;
    modelServiceRL: ResearchGroupLinesListServiceModel;
    currentIndex: any;
    currentIndex1: any;
    private preSelectedElements;
    private isFetchFinish;
    private formGroup;
    private eventListenerRG;
    private eventListenerRL;
    totalRecords: number;
    start: number;
    page: number;
    pageSize: number;
    totalRe: number;
    constructor(_formBuilder: FormBuilder, cd: ChangeDetectorRef, urlService: ServiceLocator, service: ResearchGroupLinesListService, transService: TranslateService, titlecasePipe: TitleCaseAcademiaPipe);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setUrlServiceHost(): void;
    reset(): void;
    select(): void;
    openDialogMulti(): void;
    closeDialogMulti(): void;
    setData(): void;
    searchData(componentModel: ResearchGroupLinesListServiceModel, parent?: any): Observable<any>;
    selectionParamsAfterReset(): void;
    preSelectAction(): void;
    fireSelectEvents(): void;
    onMultiSelectionChange(): void;
    onMultipleListElementClicked(element: any, type: string): void;
    getSelectedElements(element: any, type: string): void;
    getUnselectedElements(element: any, type: string): void;
    getSearchRgSelected(type: string, element: any, element2?: any): boolean;
    selectFirstDefault(): void;
    deleteItem(element: any, type: string): void;
    getPageResearchGroup(): ResearchGroupLinesListModel[];
    pageChanged(obj: any): void;
    setResearchGroup(event: any): void;
    openResearchLine(index: any): void;
    openResearchLine1(index: any): void;
}
