import { OnInit } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { ComboBox } from '../../../../combo-box/combo-box';
import { ResourceFunfingDataService } from '../resource-funfing-data.service';
export declare class ResourceFundingDataComponent extends ComboBox implements OnInit {
    private resourceService;
    modalDirectiveMulti: ModalDirective;
    debugFlag: boolean;
    allResourcesFunding: any[];
    constructor(resourceService: ResourceFunfingDataService);
    protected setData(): void;
    openDialogMulti(): void;
    closeDialogMulti(): void;
    ngOnInit(): void;
    /**
     * Get all resources funding from DB
     */
    getAllResourcesFunding(): void;
}
