"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
var service_locator_1 = require("../../../service-locator");
var Observable_1 = require("rxjs/Observable");
var ResourceFunfingDataService = /** @class */ (function () {
    function ResourceFunfingDataService(http, serviceLocator) {
        this.http = http;
        this.serviceLocator = serviceLocator;
    }
    ResourceFunfingDataService.prototype.getResorcesFunding = function (debugFlag) {
        return this.http.post(this.serviceLocator.getResourcesFundingUrl(debugFlag), { "params": {} }).catch(this.handleError);
    };
    ResourceFunfingDataService.prototype.handleError = function (error) {
        return Observable_1.Observable.throw(error.statusText || 'Server error');
    };
    ResourceFunfingDataService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    ResourceFunfingDataService.ctorParameters = function () { return [
        { type: http_1.HttpClient, },
        { type: service_locator_1.ServiceLocator, },
    ]; };
    return ResourceFunfingDataService;
}());
exports.ResourceFunfingDataService = ResourceFunfingDataService;
//# sourceMappingURL=resource-funfing-data.service.js.map