import { OnInit, TemplateRef, ElementRef, EventEmitter } from '@angular/core';
import { FormBuilder, FormGroup, FormControl } from '@angular/forms';
import { ServiceLocator } from '../../../../service-locator';
import { BsModalService, BsModalRef } from 'ngx-bootstrap/modal';
import { SearchComboBoxGenericModel } from '../../../../search-combo-box/search-combo-box';
export declare class FormatProductSelectionboxComponent implements OnInit {
    private _formBuilder;
    private modalService;
    urlService: ServiceLocator;
    selectedRelationProductFormat: any;
    relationProductFormat: any;
    selectionProductFormat: any;
    selectionFormat: string;
    collectionProductFormat: any[];
    currentOption: string;
    optionDefaultFormat: boolean;
    valRelation: number;
    currentIndex: number;
    formGroup: FormGroup;
    formGroupM2: FormGroup;
    componentModelFormatGroup: SearchComboBoxGenericModel;
    modalRef: BsModalRef[];
    contetBody: ElementRef[];
    nivel: number;
    debugFlag: boolean;
    onSelection: EventEmitter<{}>;
    constructor(_formBuilder: FormBuilder, modalService: BsModalService, urlService: ServiceLocator);
    ngOnInit(): void;
    onSelectionChange(): void;
    openDialog(nivel: number, contetBody: ElementRef, template: TemplateRef<any>): void;
    closeDialog(nivel: number): void;
    selectRelation(nivel: number): void;
    onElementChecked(): void;
    openOption(option: string): void;
    setSearchParams(type: string, value: any, itemControl?: FormControl): void;
    selectedItem(index: number, item: any): void;
    goToDelete(): void;
    reset(): void;
}
