"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var combo_box_1 = require("../../../../combo-box/combo-box");
var api_1 = require("api-angular-academia-dto/api");
var combo_box_modeldata_1 = require("../../../../combo-box/model-data/combo-box.modeldata");
var MonthComboBoxComponent = /** @class */ (function (_super) {
    __extends(MonthComboBoxComponent, _super);
    function MonthComboBoxComponent() {
        return _super.call(this) || this;
    }
    MonthComboBoxComponent.prototype.setData = function () {
        var _this = this;
        this.data = [];
        var bruteData = api_1.Month.getAllEnumValues();
        this.selectionParamsBeforeReset();
        bruteData.forEach(function (element) {
            var nmodeldata = new combo_box_modeldata_1.ComboBoxModelData(false, false, true, element.nameid, element);
            _this.data.push(nmodeldata);
        });
        this.selectionParamsAfterReset();
    };
    MonthComboBoxComponent.prototype.ngOnInit = function () {
        this.setData();
    };
    MonthComboBoxComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'app-month-combo-box',
                    template: "\n    <div>\n      <select [disabled]=\"disabled\" id=\"monthcombobox\" [(ngModel)]=\"selectedSingle\" class=\"combobox form-control\" (change)=\"onSelectionChange()\">\n        <option [(hidden)]=\"element.hidden\" *ngFor=\"let element of data\" [ngValue]=\"element\">{{(element.object == null ? 'UNASIGNED':element.object.nameid)| translate }}</option>\n      </select>\n    </div>\n  ",
                    styles: ["\n\n  "]
                },] },
    ];
    /** @nocollapse */
    MonthComboBoxComponent.ctorParameters = function () { return []; };
    return MonthComboBoxComponent;
}(combo_box_1.ComboBox));
exports.MonthComboBoxComponent = MonthComboBoxComponent;
//# sourceMappingURL=month-combo-box.component.js.map