import { ChangeDetectorRef } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { SearchComboBoxGenericModel } from './search-combo-box/search-combo-box-generic/search-combo-box-generic.model';
import { CrudCompactService } from './crud-compact/crud-compact.service';
import { Product_Category, Faculty_Category } from 'api-angular-academia-dto/api';
import { UtilsService } from './utils/utils';
export declare class AppComponent {
    private formBuilder;
    private ref;
    private crudCompactService;
    private utils;
    title: string;
    universityItemSelected: any;
    personItemSelected: any;
    formGroup: FormGroup;
    queryParams: any[];
    queryParamsRg: any[];
    items: any;
    object: any;
    componentModel: SearchComboBoxGenericModel;
    componentDepModel: SearchComboBoxGenericModel;
    userNoResult: boolean;
    isUserLoad: boolean;
    queryParamsDependency: any;
    userRestrictExample1: {
        "idUser": number;
        "dependency": {
            "idDependency": number;
            "externalId": string;
            "type": string;
            "name": string;
            "director": any;
            "dependenciaPadre": any;
            "treePath": string;
            "url": string;
        };
        "userName": string;
        "activo": boolean;
        "roles": string[];
        "alias": string[];
    };
    userRestrict: {
        "idUser": number;
        "dependency": {
            "idDependency": number;
            "externalId": string;
            "type": string;
            "name": string;
            "director": any;
            "dependenciaPadre": any;
            "treePath": string;
            "url": string;
        };
        "userName": string;
        "activo": boolean;
        "roles": string[];
        "alias": string[];
    };
    pruebaMultiSelect: any[];
    totalRecords: number;
    dependencyArray: any[];
    reportObject: any;
    countryPreSelect: any;
    invLinesNoResults: any;
    yesnodialogsample: any;
    yesnoDialogResult: any;
    personCombo: any;
    triggerYesNoSampleDialog(): void;
    informationdialogsample: any;
    triggerInformationDialog(): void;
    itemSelectedAlert: any;
    rolesCombo: any;
    triggerItemSelected(message: string): void;
    verifyEvent(event: any): void;
    onProgramChanges(event: any): void;
    verifyRgEvent(event: any): void;
    selectedRolesTypeComboBox: string;
    onComboBoxSelectedItem(element: any): void;
    onComboBoxMultiselected(elements: any): void;
    resetCombo(): void;
    downloadListUrl: any;
    uploadUrl: string;
    uploadChain: boolean;
    onUploadSuccess(element: any): void;
    onFileListUpdate(element: any): void;
    selectedParent: Product_Category[];
    selectedParent2: Faculty_Category;
    paramsCityArray: any;
    cityPreSelect: string;
    constructor(formBuilder: FormBuilder, ref: ChangeDetectorRef, crudCompactService: CrudCompactService, utils: UtilsService);
    printDependencies(event: any): void;
    verifyPersonEvent(event: any): void;
    verifyProductEvent(event: any): void;
    verifyDependencyEvent(event: any): void;
    verifyUserEvent(event: any): void;
    verifyCountryEvent(event: any): void;
    verifyCityEvent(event: any): void;
    userNoResults(event: any): void;
    userLoad(event: any): void;
    externalHandle(event: any): void;
    changeState(value: boolean): void;
    getMd5(): void;
    setYear(event: any): void;
    openAlert(event: any): void;
    setResearchGroupLines(event: any): void;
    setProductCategory(event: any): void;
    setProductType(event: any): void;
    setFacultyCategory(event: any): void;
    setFacultySubCategory(event: any): void;
    setFormatProductBox(event: any): void;
    setMessage(event: any): void;
    selectCoreFacilities(event: any): void;
    callReportUrl(reportObject: string): void;
}
