import { EventEmitter } from '@angular/core';
import { ComboBoxModelData } from "./model-data/combo-box.modeldata";
export declare class ComboBox {
    static readonly SINGLE: number;
    static readonly MULTIPLE: number;
    static readonly COMPACT: number;
    static readonly FULL_SIZE: number;
    static readonly SELECT: number;
    static readonly NONE: number;
    static readonly ALL: number;
    selectedElements: any[];
    selectedSingle: any;
    data: ComboBoxModelData[];
    ComboBoxReference: typeof ComboBox;
    multiSelect: boolean;
    selectFirst: boolean;
    compact: boolean;
    disabled: any;
    selectStates: number;
    selectState: any;
    optionInstance: string;
    enableSelectionState: boolean;
    resetSelect: boolean;
    preSelectedElements: any;
    preSelect: any;
    hideElements: any;
    hiddenElements: any;
    disableCheckBoxesSelection: boolean;
    onSelection: EventEmitter<{}>;
    onMultiSelection: EventEmitter<{}>;
    onSelectionState: EventEmitter<{}>;
    constructor();
    getSelectedElements(): any[];
    getSelectedElement(): any;
    changeSelectionState(state: any): void;
    resetSelection(): void;
    reset(): void;
    select(): void;
    hide(): void;
    onSelectionChange(): void;
    onMultiSelectionChange(): void;
    selectionParamsBeforeReset(): void;
    selectionParamsAfterReset(): void;
    fireSelectEvents(): void;
    selectFirstDefault(): void;
    onMultipleListElementClicked(element: any): void;
    onSelectSingleElement(element: any): void;
    preSelectAction(): void;
    hideAction(): void;
}
