"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var crud_compact_component_1 = require("./crud-compact.component");
var forms_1 = require("@angular/forms");
var api_angular_academia_intl_1 = require("api-angular-academia-intl");
var search_combo_box_1 = require("../search-combo-box/search-combo-box");
var alert_1 = require("ngx-bootstrap/alert");
var academia_pagination_1 = require("../academia-pagination/academia-pagination");
var utils_1 = require("../utils/utils");
var advisor_compact_component_1 = require("./advisor-compact/advisor-compact.component");
var crud_compact_service_1 = require("./crud-compact.service");
var CrudCompactModule = /** @class */ (function () {
    function CrudCompactModule() {
    }
    CrudCompactModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule,
                        forms_1.FormsModule,
                        forms_1.ReactiveFormsModule,
                        api_angular_academia_intl_1.I18NModule,
                        search_combo_box_1.SearchComboBoxModule,
                        alert_1.AlertModule.forRoot(),
                        academia_pagination_1.AcademiaPaginationModule,
                        utils_1.UtilsModule
                    ],
                    declarations: [crud_compact_component_1.CrudCompactComponent, advisor_compact_component_1.AdvisorCompactComponent],
                    exports: [crud_compact_component_1.CrudCompactComponent, advisor_compact_component_1.AdvisorCompactComponent],
                    providers: [crud_compact_service_1.CrudCompactService]
                },] },
    ];
    return CrudCompactModule;
}());
exports.CrudCompactModule = CrudCompactModule;
//# sourceMappingURL=crud-compact.module.js.map