"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var modal_1 = require("ngx-bootstrap/modal");
var InformationDialogComponent = /** @class */ (function () {
    function InformationDialogComponent() {
        this.show = false;
    }
    //=======================Input Variables====================
    //=======================Input Functions====================
    //=======================Input Variables====================
    //=======================Input Functions====================
    InformationDialogComponent.prototype.openDialog = 
    //=======================Input Variables====================
    //=======================Input Functions====================
    function (title, message, icon) {
        this.show = true;
        this.message = message;
        this.title = title;
        this.icon = icon;
        this.modalDirective.show();
    };
    InformationDialogComponent.prototype.closeDialog = function () {
        this.show = false;
        this.modalDirective.hide();
        this.onClose();
    };
    InformationDialogComponent.prototype.ngOnInit = function () {
    };
    InformationDialogComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'app-information-dialog',
                    template: "\n    <div class=\"modal fade\" [config]=\"{backdrop: 'static'}\" bsModal #informationdialog=\"bs-modal\" tabindex=\"-1\" role=\"dialog\">\n      <div class=\"modal-dialog\" role=\"document\">\n        <div class=\"modal-content\">\n          <div class=\"modal-header\">\n            <table>\n              <tr>\n                <td>\n                  <b>{{title}}</b>\n                </td>\n                <td>\n                  <button (click)=\"closeDialog()\" type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"Close\">\n                    <span aria-hidden=\"true\">&times;</span>\n                  </button>\n                </td>\n\n              </tr>\n            </table>\n          </div>\n          <div align=\"left\" class=\"modal-body\">\n\n            <table class=\"dlg-content\">\n              <tr>\n                <td align=\"center\" class=\"dlg-cellsz\">\n                  <i class=\"material-icons dlg-iconsize\">{{icon}}</i>\n                </td>\n                <td>\n                  <p style=\"text-align:justify;\">{{message}}</p>\n                </td>\n              </tr>\n            </table>\n\n            <div align=\"center\">\n              <button type=\"button\" class=\"btn btn-lg btn-uniandes-main\" (click)=\"closeDialog()\">Aceptar</button>\n            </div>\n          </div>\n        </div>\n\n      </div>\n    </div>\n  ",
                    styles: ["\n    .modal-dialog{\n        width: 50vw !important;\n    \n    }\n    .dlg-cellsz{\n        width: 100px;\n        padding-right: 20px;\n    }\n    .dlg-iconsize{\n        font-size: 60px;\n    \n    }\n    .dlg-content{\n        width: 100%;\n    }/*Common Styles*/\n    /*Buttons*/\n\n    .btn-uniandes-main { \n        color: #000000; \n        background-color: #FFFF00; \n        border-color: none; \n      } \n   \n      .btn-uniandes-main:hover, \n      .btn-uniandes-main:focus, \n      .btn-uniandes-main:active, \n      .btn-uniandes-main.active, \n      .open .dropdown-toggle.btn-uniandes-main { \n        color: #000000; \n        background-color: #DBD000; \n        border-color: none ; \n      } \n   \n      .btn-uniandes-main:active, \n      .btn-uniandes-main.active, \n      .open .dropdown-toggle.btn-uniandes-main { \n        background-image: none; \n      } \n   \n      .btn-uniandes-main.disabled, \n      .btn-uniandes-main[disabled], \n      fieldset[disabled] .btn-uniandes-main, \n      .btn-uniandes-main.disabled:hover, \n      .btn-uniandes-main[disabled]:hover, \n      fieldset[disabled] .btn-uniandes-main:hover, \n      .btn-uniandes-main.disabled:focus, \n      .btn-uniandes-main[disabled]:focus, \n      fieldset[disabled] .btn-uniandes-main:focus, \n      .btn-uniandes-main.disabled:active, \n      .btn-uniandes-main[disabled]:active, \n      fieldset[disabled] .btn-uniandes-main:active, \n      .btn-uniandes-main.disabled.active, \n      .btn-uniandes-main[disabled].active, \n      fieldset[disabled] .btn-uniandes-main.active { \n        background-color: #FFFF00; \n        border-color: none; \n      } \n   \n      .btn-uniandes-main .badge { \n        color: #FFFF00; \n        background-color: #000000; \n      }\n\n\n      .btn-uniandes-secondary { \n        color: #ffffff; \n        background-color: #000000; \n        border-color: none; \n      } \n   \n      .btn-uniandes-secondary:hover, \n      .btn-uniandes-secondary:focus, \n      .btn-uniandes-secondary:active, \n      .btn-uniandes-secondary.active, \n      .open .dropdown-toggle.btn-uniandes-secondary { \n        color: #ffffff; \n        background-color: #707070; \n        border-color: none; \n      } \n   \n      .btn-uniandes-secondary:active, \n      .btn-uniandes-secondary.active, \n      .open .dropdown-toggle.btn-uniandes-secondary { \n        background-image: none; \n      } \n   \n      .btn-uniandes-secondary.disabled, \n      .btn-uniandes-secondary[disabled], \n      fieldset[disabled] .btn-uniandes-secondary, \n      .btn-uniandes-secondary.disabled:hover, \n      .btn-uniandes-secondary[disabled]:hover, \n      fieldset[disabled] .btn-uniandes-secondary:hover, \n      .btn-uniandes-secondary.disabled:focus, \n      .btn-uniandes-secondary[disabled]:focus, \n      fieldset[disabled] .btn-uniandes-secondary:focus, \n      .btn-uniandes-secondary.disabled:active, \n      .btn-uniandes-secondary[disabled]:active, \n      fieldset[disabled] .btn-uniandes-secondary:active, \n      .btn-uniandes-secondary.disabled.active, \n      .btn-uniandes-secondary[disabled].active, \n      fieldset[disabled] .btn-uniandes-secondary.active { \n        background-color: #000000; \n        border-color: none; \n      } \n   \n      .btn-uniandes-secondary .badge { \n        color: #000000; \n        background-color: #ffffff; \n      }\n\n    /*Dialogs*/\n    .modal-header{\n        padding: 0px;\n        border: 0px;\n        background-color: #FFFF00;\n    }\n\n    .modal-header table{\n        margin: 0px;\n        border: 0px;   \n        width: 100%;\n    }\n\n    .modal-header table tr td{\n        padding: 10px;\n    \n    }\n    .modal-body{\n        padding-bottom: 20px;\n        margin-left: 20px;\n        margin-right: 20px;\n    }\n\n    .title-element{\n        padding-top: 5px;\n        padding-bottom: 5px;\n    }\n    .modal-content{\n        border-radius: 0px;\n        border: 0px;\n    }\n\n    .modal-header{\n          border-radius: 0;\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    InformationDialogComponent.ctorParameters = function () { return []; };
    InformationDialogComponent.propDecorators = {
        "modalDirective": [{ type: core_1.ViewChild, args: ['informationdialog',] },],
    };
    return InformationDialogComponent;
}());
exports.InformationDialogComponent = InformationDialogComponent;
//# sourceMappingURL=information-dialog.component.js.map