"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var search_combo_box_generic_component_1 = require("./search-combo-box-generic/search-combo-box-generic.component");
var search_combo_box_generic_service_1 = require("./search-combo-box-generic/search-combo-box-generic.service");
var forms_1 = require("@angular/forms");
var ngx_bootstrap_1 = require("ngx-bootstrap");
var http_1 = require("@angular/common/http");
var search_person_combo_box_component_1 = require("./search-person-combo-box/search-person-combo-box.component");
var service_locator_1 = require("../service-locator");
var search_combo_box_service_1 = require("./search-combo-box.service");
var search_product_combo_box_component_1 = require("./search-product-combo-box/search-product-combo-box.component");
var search_dependency_combo_box_component_1 = require("./search-dependency-combo-box/search-dependency-combo-box.component");
var search_user_combo_box_component_1 = require("./search-user-combo-box/search-user-combo-box.component");
var api_angular_academia_intl_1 = require("api-angular-academia-intl");
var search_program_combo_box_component_1 = require("./search-program-combo-box/search-program-combo-box.component");
var utils_module_1 = require("../utils/utils.module");
var search_country_combo_box_component_1 = require("./search-country-combo-box/search-country-combo-box.component");
var search_research_group_combo_box_component_1 = require("./search-research-group-combo-box/search-research-group-combo-box.component");
var search_research_line_combo_box_component_1 = require("./search-research-line-combo-box/search-research-line-combo-box.component");
var search_core_facilities_combo_box_component_1 = require("./search-core-facilities-combo-box/search-core-facilities-combo-box.component");
var city_combo_box_component_1 = require("./city-combo-box/city-combo-box/city-combo-box.component");
var search_dependency_multi_choice_component_1 = require("./search-dependency-combo-box/search-dependency-multi-choice/search-dependency-multi-choice.component");
var dependency_service_1 = require("./search-dependency-combo-box/search-dependency-multi-choice/dependency.service");
var ngxModules = [
    ngx_bootstrap_1.ModalModule.forRoot(),
    ngx_bootstrap_1.TypeaheadModule.forRoot(),
    ngx_bootstrap_1.TabsModule.forRoot()
];
var SearchComboBoxModule = /** @class */ (function () {
    function SearchComboBoxModule() {
    }
    SearchComboBoxModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule,
                        http_1.HttpClientModule,
                        forms_1.FormsModule,
                        forms_1.ReactiveFormsModule,
                        api_angular_academia_intl_1.I18NModule,
                        ngxModules,
                        utils_module_1.UtilsModule
                    ],
                    declarations: [search_combo_box_generic_component_1.SearchComboBoxGenericComponent, search_person_combo_box_component_1.SearchPersonComboBoxComponent,
                        search_product_combo_box_component_1.SearchProductComboBoxComponent, search_dependency_combo_box_component_1.SearchDependencyComboBoxComponent, search_user_combo_box_component_1.SearchUserComboBoxComponent,
                        search_program_combo_box_component_1.SearchProgramComboBoxComponent, search_country_combo_box_component_1.SearchCountryComboBoxComponent, search_research_group_combo_box_component_1.SearchResearchGroupComboBoxComponent,
                        search_research_line_combo_box_component_1.SearchResearchLineComboBoxComponent,
                        search_core_facilities_combo_box_component_1.SearchCoreFacilitiesComboBoxComponent,
                        city_combo_box_component_1.CityComboBoxComponent,
                        search_dependency_multi_choice_component_1.SearchDependencyMultiChoiceComponent
                    ],
                    exports: [search_combo_box_generic_component_1.SearchComboBoxGenericComponent, search_person_combo_box_component_1.SearchPersonComboBoxComponent,
                        search_product_combo_box_component_1.SearchProductComboBoxComponent, search_dependency_combo_box_component_1.SearchDependencyComboBoxComponent, search_user_combo_box_component_1.SearchUserComboBoxComponent,
                        search_program_combo_box_component_1.SearchProgramComboBoxComponent, search_country_combo_box_component_1.SearchCountryComboBoxComponent, search_research_group_combo_box_component_1.SearchResearchGroupComboBoxComponent,
                        search_research_line_combo_box_component_1.SearchResearchLineComboBoxComponent, search_core_facilities_combo_box_component_1.SearchCoreFacilitiesComboBoxComponent, city_combo_box_component_1.CityComboBoxComponent],
                    providers: [search_combo_box_generic_service_1.SearchComboBoxGenericService, service_locator_1.ServiceLocator, search_combo_box_service_1.SearchComboBoxService, dependency_service_1.DependencyService]
                },] },
    ];
    return SearchComboBoxModule;
}());
exports.SearchComboBoxModule = SearchComboBoxModule;
//# sourceMappingURL=search-combo-box.module.js.map