import { ServiceLocator } from '../service-locator';
import { SearchComboBoxGenericModel } from './search-combo-box-generic/search-combo-box-generic.model';
import { TranslateService } from '@ngx-translate/core';
export declare class SearchComboBoxService {
    urlService: ServiceLocator;
    translateService: TranslateService;
    constructor(urlService: ServiceLocator, translateService: TranslateService);
    getLabelsForStudents(types: any): string;
    /**
     *
     * Establishes url service according queryParam => PersonType
     * PersonType = 1 > Faculty
     * PersonType = 2 > PhdStudent
     * PersonType = 3 > ExternalPeople
     * PersonType = [4,5,6,7] > Students
     */
    setUrlService(model: SearchComboBoxGenericModel, debugFlag?: boolean): void;
}
