import { OnInit, OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { ServiceLocator } from '../../service-locator';
import { SearchComboBoxService } from '../search-combo-box.service';
import { SearchAcademyComboBoxComponent } from '../search-academy-combo-box/search-academy-combo-box.component';
import { TranslateService } from '@ngx-translate/core';
import { TitleCaseAcademiaPipe } from '../../utils/titlecase-academia.pipe';
export declare class SearchPersonComboBoxComponent extends SearchAcademyComboBoxComponent implements OnInit, OnChanges {
    urlService: ServiceLocator;
    searchBoxUtils: SearchComboBoxService;
    transService: TranslateService;
    titlecasePipe: TitleCaseAcademiaPipe;
    private customStudentTemplate;
    private customItemTemplate;
    customTemplate: TemplateRef<any>;
    constructor(urlService: ServiceLocator, searchBoxUtils: SearchComboBoxService, transService: TranslateService, titlecasePipe: TitleCaseAcademiaPipe);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getLabelsForStudents(types: any): string;
    getCustomTemplate(): void;
}
