import { OnInit } from '@angular/core';
import { SearchAcademyComboBoxComponent } from '../search-academy-combo-box/search-academy-combo-box.component';
import { ServiceLocator } from '../../service-locator';
import { SearchComboBoxService } from '../search-combo-box.service';
import { TranslateService } from '@ngx-translate/core';
import { TitleCaseAcademiaPipe } from '../../utils/utils';
export declare class SearchResearchGroupComboBoxComponent extends SearchAcademyComboBoxComponent implements OnInit {
    urlService: ServiceLocator;
    searchBoxUtils: SearchComboBoxService;
    transService: TranslateService;
    titlecasePipe: TitleCaseAcademiaPipe;
    usernameRestrict: any;
    private rsgCombo;
    constructor(urlService: ServiceLocator, searchBoxUtils: SearchComboBoxService, transService: TranslateService, titlecasePipe: TitleCaseAcademiaPipe);
    ngOnInit(): void;
    setUrlServiceHost(): void;
    addUserNameRestriction(userData: any): void;
}
