"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RESEARCHGROUP_MOCK = [
    {
        "idResearchGroup": 104,
        "director": null,
        "name": "Microeconomía",
        "nameEn": null,
        "url": null,
        "externalId": "00000000001213",
        "aceptPHdStudent": false,
        "category": "A1",
        "active": true,
        "descripcion": "Partiendo de la teoría económica el grupo se propone enfrentar preguntas pertinentes y relevantes acerca del funcionamiento de los sistemas económicos contemporáneos y cómo el diseño de mecanismos institucionales puede regular su funcionamiento. Las investigaciones del grupo servirán para contribuir al avance del conocimiento en las diferentes corrientes de teoría microeconómica, el uso de diferentes métodos cuantitativos y enfoques, así como aportar en los debates de política pública relacionados con la regulación y el diseño institucional. Igualmente el grupo busca aportar en el avance de la docencia en el área de microeconomía desarrollando nuevas metodologías pedagógicas para la enseñanza en esta área.",
        "mision": "El grupo de Microeconomía busca desarrollar investigación teórica y aplicada a partir de diferentes modelos de decisión de los agentes económicos y sociales y cómo éstos interactúan en una economía de mercado afectando el bienestar de la sociedad en sus múltiples dimensiones.",
        "vision": "El Grupo de Microeconomía quiere convertirse en un grupo de referencia en el desarrollo de análisis teóricos y aplicados para académicos y diseñadores de política pública en las áreas de regulación económica, diseño de mecanismos y mercados, análisis institucional, análisis espacial, economía política, economía pública, comercio, organización industrial, economía del comportamiento y economía experimental.",
        "descripcionEn": "Based on economic theory, this group seeks to address relevant and pertinent questions about the functioning of contemporary economic systems and how the design of institutional mechanisms may regulate its operation. The research group will contribute to the advancement of knowledge in the different streams of microeconomic theory, the use of different quantitative approaches and methods as well as contribute to the public policy debates related to regulation and institutional design. Also the group seeks to contribute to the advancement of teaching in the area of microeconomics developing new teaching methodologies for teaching in this area.",
        "misionEn": "The Microeconomics Group seeks to develop theoretical and applied research agenda from different decision models of economic and social actors and how they interact in a market economy affecting the welfare of society in its multiple dimensions.",
        "visionEn": "The Microeconomics Group aims to become a reference in the development of theoretical and applied analysis for academics and policy makers in the areas of economic regulation and market mechanism design, institutional analysis, spatial analysis, political economy, public economics , trade, industrial organization, behavioral economics and experimental economics.",
        "keyWords": "Microeconomía, Economía política, economía pública, organización industrial, regulación económica, diseño de mecanismos, subastas, emparejamientos, matching, economía espacial, economía del comportamiento, economía experimental.",
        "lines": [
            {
                "idLineInvestigation": 759,
                "externalId": "L353",
                "name": "Economía de la salud",
                "nameEN": null,
                "description": "Avanzar en el conocimiento de los factores relacionados con la oferta y demanda de salud, con el Estado, acceso y uso de los servicios de salud, y su relación con el crecimiento económico y el desarrollo social.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 858,
                "externalId": "L900",
                "name": "Conflicto y violencia",
                "nameEN": null,
                "description": "El objetivo de esta línea es impulsar la investigación empírica sobre los fenómenos de crimen y violencia en Colombia, así como hacer análisis y evaluar el impacto de las políticas públicas en los campos de la seguridad y la justicia en el país. Se ha trabajado principalmente en cinco líneas de investigación. En el análisis sobre el crimen y la violencia, se realizan estudios empíricos sobre la magnitud, la causalidad y los efectos de los fenómenos de crimen y violencia tanto a nivel nacional, como regional y local. En la línea de investigación sobre el conflicto interno en Colombia se trabaja principalmente el seguimiento de la evolución del conflicto armado en el país y, en particular, en la expansión territorial de los actores armados irregulares. En la tercera línea de investigación sobre políticas de seguridad, se analizan y evalúan las políticas de seguridad nacional y local. En la cuarta línea de investigación, estudios sobre justicia y policía, se examinan desde la teoría económica del crimen el desempeño del sistema de justicia penal en Colombia para dilucidar sus cuellos de botella. En la última línea de investigación, se examina el impacto del crimen y la violencia sobre el bienestar de la población y sobre las dinámicas económicas de las firmas y los hogares.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 871,
                "externalId": "L912",
                "name": "Econometría",
                "nameEN": null,
                "description": "Aplicación y desarrollo de técnicas y modelos econométricos para el entendimiento de problemas económicos aplicados.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 873,
                "externalId": "L914",
                "name": "Economía de la información",
                "nameEN": null,
                "description": "Estudiar contratos óptimos en condiciones de información asimétrica.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 874,
                "externalId": "L915",
                "name": "Desarrollo económico",
                "nameEN": null,
                "description": "Abarca todos los temas relacionados con el proceso de desarrollo y los obstáculos de las economías menos desarrolladas. Estos incluyen pobreza y distribución del ingreso, educación, salud y nutrición, empleo, migraciones, conflicto y guerras civiles.\r\nSe utilizan los principios de la teoría económica y métodos cuantitativos para analizar los desafíos económicos que enfrentan los países y las regiones  con ingresos medios y bajos. Algunos temas que se estudian en esta línea de investigación incluyen pero no se limitan a: los efectos redistributivos del crecimiento económico, la economía de las migraciones, la adopción tecnológica, análisis de concentración de la tierra, el papel de los programas agrícolas en los procesos de desarrollo, los impactos en el bienestar de las políticas y estrategias de desarrollo, el análisis económico de la pobreza urbana y rural, y el análisis de políticas de salud y educación.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 876,
                "externalId": "L916",
                "name": "Economía del comportamiento y métodos experimentales",
                "nameEN": null,
                "description": "En esta línea utilizamos métodos experimentales para probar hipótesis derivadas de la teoría económica, utilizando teoría de juegos y enfoques de la economía del comportamiento (behavioral economics). Aplicando experimentos económicos en laboratorios con estudiantes o en el campo con habitantes rurales y urbanos, se ha trabajado en preguntas de cooperación, acción colectiva, pro-socialidad, provisión de bienes públicos, uso de recursos naturales y su regulación, preferencias por el riesgo, entre otros fenómenos del comportamiento económico.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 879,
                "externalId": "L920",
                "name": "Economía de la politica social",
                "nameEN": null,
                "description": "Estudio de los alcances y de las limitaciones de las políticas de protección social.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 919,
                "externalId": "L927",
                "name": "Microeconomía aplicada",
                "nameEN": null,
                "description": "El área de trabajo comprende estudios de formación de precios, análisis de estructuras de mercado, intervención del Estado y asignación de recursos. En particular sobre:\n•\tOrganización industrial\n•\tFinanzas públicas ( economia publica)\n•\tEconomia de la salud\n•\tEconomia laboral\n•\tEconomia financiera",
                "descriptionEN": null
            }
        ],
        "objectives": null,
        "members": [],
        "dependencies": null,
        "codeColciencias": "COL0004068"
    },
    {
        "idResearchGroup": 112,
        "director": null,
        "name": "Grupo de Estudios Sobre Desarrollo Económico",
        "nameEn": null,
        "url": "http//economia.uniandes.edu.co",
        "externalId": "00000000008066",
        "aceptPHdStudent": false,
        "category": "A1",
        "active": true,
        "descripcion": "Este grupo está conformado por un amplio grupo de profesores y estudiantes enfocados en los estudios del desarrollo económico.  Dentro de los temas que se trabajan en el grupo se encuentran: 1. Los temas de pobreza e inequidad de ingresos. 2. Focalización y asignación de servicios sociales tales como la educación, la salud y el acceso a vivienda. 3. Temas de acceso al crédito tanto formal como informal, 4. Mercado laboral informal 5. Inequidades económicas de grupos minoritarios, 5. Temas relacionados con asistencia a la primera infancia. 6. Componentes institucionales o políticos que intervienen con el funcionamiento de políticas públicas. 7. Tenencia de tierras, migración y desplazamiento. Entre otros.",
        "mision": "Este grupo busca fortalecer la evidencia de los temas de estudio y así derivar de diversas investigaciones las recomendaciones de política acordes con los resultados encontrados en nuestras evaluaciones y modelos.",
        "vision": "Fomentamos la vinculación de diversas áreas de investigación dentro del desarrollo económico para poder tener recomendaciones de política integrales respecto a la problemática social del país.",
        "descripcionEn": null,
        "misionEn": null,
        "visionEn": null,
        "keyWords": "Salud, crédito, educación, pobreza, inequidad, género, migración, informalidad, elecciones, poder político, etnias, programas sociales, vivienda.",
        "lines": [
            {
                "idLineInvestigation": 572,
                "externalId": "L54",
                "name": "Políticas públicas",
                "nameEN": null,
                "description": "Evaluación económica y de impacto de políticas públicas en el área social que incluyen salud, educación, mercado laboral, capital humano, fecundidad, mitigación de la pobreza, capacitación laboral, entre otras.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 757,
                "externalId": "L355",
                "name": "Pobreza, empleo y distribución del ingreso",
                "nameEN": null,
                "description": "Analizar la estructura y dinámica como los determinantes de la pobreza, tanto de ingreso como de otros factores: acumulación de capital humano, desarrollo personal y social. Determinar las variables asociadas a la estructura y crecimiento del empleo, los salarios y los factores que determinan como se distribuye el ingreso en las familias y las personas.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 759,
                "externalId": "L353",
                "name": "Economía de la salud",
                "nameEN": null,
                "description": "Avanzar en el conocimiento de los factores relacionados con la oferta y demanda de salud, con el Estado, acceso y uso de los servicios de salud, y su relación con el crecimiento económico y el desarrollo social.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 858,
                "externalId": "L900",
                "name": "Conflicto y violencia",
                "nameEN": null,
                "description": "El objetivo de esta línea es impulsar la investigación empírica sobre los fenómenos de crimen y violencia en Colombia, así como hacer análisis y evaluar el impacto de las políticas públicas en los campos de la seguridad y la justicia en el país. Se ha trabajado principalmente en cinco líneas de investigación. En el análisis sobre el crimen y la violencia, se realizan estudios empíricos sobre la magnitud, la causalidad y los efectos de los fenómenos de crimen y violencia tanto a nivel nacional, como regional y local. En la línea de investigación sobre el conflicto interno en Colombia se trabaja principalmente el seguimiento de la evolución del conflicto armado en el país y, en particular, en la expansión territorial de los actores armados irregulares. En la tercera línea de investigación sobre políticas de seguridad, se analizan y evalúan las políticas de seguridad nacional y local. En la cuarta línea de investigación, estudios sobre justicia y policía, se examinan desde la teoría económica del crimen el desempeño del sistema de justicia penal en Colombia para dilucidar sus cuellos de botella. En la última línea de investigación, se examina el impacto del crimen y la violencia sobre el bienestar de la población y sobre las dinámicas económicas de las firmas y los hogares.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 866,
                "externalId": "L907",
                "name": "Economía agrícola",
                "nameEN": null,
                "description": "La Economía Agrícola se especializa en el estudio de las leyes económicas del sector agrario y de su papel en el conjunto de la economía. En esta área se viene trabajando en cinco líneas de investigación: a)Desarrollo agrícola: está relacionado con el papel de la agricultura en el desarrollo económico; los cambios estructurales que se han dado en el sector; y el establecimiento de medidas de política para lograr un desarrollo competitivo, equitativo y sostenible del campo. b)Economía de la producción agrícola: se enfoca en mostrar como la teoría económica se relaciona con la producción de bienes agrícolas. c)Mercados agrícolas: estudia la oferta y demanda de bienes agrícolas que permitan entender el comportamiento de los productores y consumidores ante cambios en precios, al igual que la forma como se determinan los precios en las etapas de producción, distribución y consumo. d)Política agrícola: se analiza cómo las políticas monetarias, fiscales y comerciales afectan la actividad agrícola y viceversa a través de modelos de simulación. e)Agricultura y medio ambiente: se centra en el uso y la preservación de los recursos naturales relacionados con la actividad agrícola. Así como en el análisis económico de los efectos e impactos que tiene el cambio climático, especialmente en el sector agropecuario.  Evaluación financiera, económica y social de las acciones de adaptación y mitigación diseñadas y concertadas entre los diferentes agentes involucrados.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 871,
                "externalId": "L912",
                "name": "Econometría",
                "nameEN": null,
                "description": "Aplicación y desarrollo de técnicas y modelos econométricos para el entendimiento de problemas económicos aplicados.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 874,
                "externalId": "L915",
                "name": "Desarrollo económico",
                "nameEN": null,
                "description": "Abarca todos los temas relacionados con el proceso de desarrollo y los obstáculos de las economías menos desarrolladas. Estos incluyen pobreza y distribución del ingreso, educación, salud y nutrición, empleo, migraciones, conflicto y guerras civiles.\r\nSe utilizan los principios de la teoría económica y métodos cuantitativos para analizar los desafíos económicos que enfrentan los países y las regiones  con ingresos medios y bajos. Algunos temas que se estudian en esta línea de investigación incluyen pero no se limitan a: los efectos redistributivos del crecimiento económico, la economía de las migraciones, la adopción tecnológica, análisis de concentración de la tierra, el papel de los programas agrícolas en los procesos de desarrollo, los impactos en el bienestar de las políticas y estrategias de desarrollo, el análisis económico de la pobreza urbana y rural, y el análisis de políticas de salud y educación.",
                "descriptionEN": null
            },
            {
                "idLineInvestigation": 876,
                "externalId": "L916",
                "name": "Economía del comportamiento y métodos experimentales",
                "nameEN": null,
                "description": "En esta línea utilizamos métodos experimentales para probar hipótesis derivadas de la teoría económica, utilizando teoría de juegos y enfoques de la economía del comportamiento (behavioral economics). Aplicando experimentos económicos en laboratorios con estudiantes o en el campo con habitantes rurales y urbanos, se ha trabajado en preguntas de cooperación, acción colectiva, pro-socialidad, provisión de bienes públicos, uso de recursos naturales y su regulación, preferencias por el riesgo, entre otros fenómenos del comportamiento económico.",
                "descriptionEN": null
            }
        ],
        "objectives": null,
        "members": [],
        "dependencies": null,
        "codeColciencias": "COL0008299"
    }
];
//# sourceMappingURL=research-lines.js.map