"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var combo_box_1 = require("../../../../combo-box/combo-box");
var http_1 = require("@angular/common/http");
var service_locator_1 = require("../../../../service-locator");
var combo_box_modeldata_1 = require("../../../../combo-box/model-data/combo-box.modeldata");
var FormatProductComboboxComponent = /** @class */ (function (_super) {
    __extends(FormatProductComboboxComponent, _super);
    function FormatProductComboboxComponent(http, mainLocator, cd) {
        var _this = _super.call(this) || this;
        _this.http = http;
        _this.mainLocator = mainLocator;
        _this.cd = cd;
        _this.debugFlag = false;
        return _this;
    }
    FormatProductComboboxComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.http.post(this.mainLocator.getFormatGroupsProductsUrl(this.debugFlag), {}).subscribe(function (data) {
            _this.formatProducts = data;
            _this.setData();
        });
    };
    FormatProductComboboxComponent.prototype.setData = function () {
        var _this = this;
        this.selectionParamsBeforeReset();
        this.data = [];
        var bruteData = this.formatProducts;
        bruteData.forEach(function (element) {
            var nmodeldata = new combo_box_modeldata_1.ComboBoxModelData(false, false, true, element, element);
            _this.data.push(nmodeldata);
            _this.cd.detectChanges();
            _this.selectionParamsAfterReset();
        });
    };
    FormatProductComboboxComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'app-format-product-combobox',
                    template: "\n    <div>\n        <select [disabled]=\"disabled\" id=\"formatcombobox\" [(ngModel)]=\"selectedSingle\" class=\"combobox form-control\" (change)=\"onSelectionChange()\">\n          <option [(hidden)]=\"element.hidden\" *ngFor=\"let element of data\" [ngValue]=\"element\">{{(element.object == null ? 'UNASIGNED':element.object)| translate }}</option>\n        </select>\n    </div>\n  ",
                    styles: ["\n\n  "]
                },] },
    ];
    /** @nocollapse */
    FormatProductComboboxComponent.ctorParameters = function () { return [
        { type: http_1.HttpClient, },
        { type: service_locator_1.ServiceLocator, },
        { type: core_1.ChangeDetectorRef, },
    ]; };
    FormatProductComboboxComponent.propDecorators = {
        "debugFlag": [{ type: core_1.Input },],
    };
    return FormatProductComboboxComponent;
}(combo_box_1.ComboBox));
exports.FormatProductComboboxComponent = FormatProductComboboxComponent;
//# sourceMappingURL=format-product-combobox.component.js.map