"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var api_1 = require("api-angular-academia-dto/api");
var combo_box_1 = require("../../../../combo-box/combo-box");
var combo_box_modeldata_1 = require("../../../../combo-box/model-data/combo-box.modeldata");
var modal_1 = require("ngx-bootstrap/modal");
var LanguagesComboboxComponent = /** @class */ (function (_super) {
    __extends(LanguagesComboboxComponent, _super);
    function LanguagesComboboxComponent() {
        return _super.call(this) || this;
    }
    LanguagesComboboxComponent.prototype.setData = function () {
        var _this = this;
        this.data = [];
        var bruteData = api_1.Languages.getAllEnumValues();
        this.selectionParamsBeforeReset();
        bruteData.forEach(function (element) {
            var nmodeldata = new combo_box_modeldata_1.ComboBoxModelData(false, false, true, element.nameid, element);
            _this.data.push(nmodeldata);
        });
        this.selectionParamsAfterReset();
    };
    LanguagesComboboxComponent.prototype.openDialogMulti = function () {
        this.modalDirectiveMulti.show();
    };
    LanguagesComboboxComponent.prototype.closeDialogMulti = function () {
        this.modalDirectiveMulti.hide();
    };
    /* protected region developer's' code on begin */
    /* protected region developer's' code end */
    /* protected region developer's' code on begin */
    /* protected region developer's' code end */
    LanguagesComboboxComponent.prototype.ngOnInit = /* protected region developer's' code on begin */
    /* protected region developer's' code end */
    function () {
        this.setData();
    };
    LanguagesComboboxComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'app-languages-combobox',
                    template: "\n\n    <ng-template [ngIf]=\"(compact && !multiSelect)\">\n      <div>\n        <select [disabled]=\"disabled\" id=\"languagescombobox1\" class=\"combobox form-control\" [(ngModel)]=\"selectedSingle\" (change)=\"onSelectionChange()\">\n          <option [(hidden)]=\"element.hidden\" *ngFor=\"let element of data\" [ngValue]=\"element\">{{(element.object == null?\"UNASIGNED\":element.object.nameid)| translate }}</option>\n        </select>\n      </div>\n        <!-- protected region developer's' code on begin -->\n        <!-- protected region developer's' code end -->\n    </ng-template>\n\n\n    <ng-template #checklanguages [ngIf]=\"(!compact && multiSelect)\">\n      <div class=\"comboselectlist\">\n        <table class=\"table table-list table-filter\">\n          <tbody>\n            <tr [(hidden)]=\"element.hidden\" *ngFor=\"let element of data\">\n              <td>\n                <div class=\"ckbox\">\n                  <input [disabled]=\"disabled\" [checked]=\"element.selected\" (change)=\"onMultipleListElementClicked(element)\" type=\"checkbox\" id=\"{{'checklanguages'+(element.object!=null?element.object.nameid:'-1')}}\"\n                  />\n                  <label for=\"{{'checklanguages'+(element.object!=null?element.object.nameid:'-1')}}\"></label>\n                </div>\n              </td>\n              <td (click)=\"onMultipleListElementClicked(element)\" class=\"pullRight\">\n                <div class=\"media\">\n                  <div class=\"media-body\">\n                    <div class=\"title\">\n                      {{(element.object != null?element.object.nameid:\"selectAll\")| translate }}\n                    </div>\n                  </div>\n                </div>\n              </td>\n            </tr>\n          </tbody>\n        </table>\n      </div>\n        <!-- protected region developer's' code on begin -->\n        <!-- protected region developer's' code end -->\n    </ng-template>\n\n    <ng-template #optionlanguages [ngIf]=\"(!compact && !multiSelect)\">\n      <div class=\"comboradiolist\">\n        <table class=\"table table-list table-filter\">\n          <tbody>\n            <tr [(hidden)]=\"element.hidden\" *ngFor=\"let element of data\">\n              <td>\n                <div class=\"ckbox\">\n                  <input [disabled]=\"disabled\" [checked]=\"element.selected\" (change)=\"onSelectSingleElement(element)\" type=\"radio\" name=\"{{'languagesradiogroup'+optionInstance}}\" id=\"{{'radiolanguages'+(element.object!=null?element.object.nameid:'-1')}}\"\n                  />\n                  <label for=\"{{'radiolanguages'+(element.object!=null?element.object.nameid:'-1')}}\"></label>\n                </div>\n              </td>\n              <td (click)=\"onSelectSingleElement(element)\" class=\"pullRight\">\n                <div class=\"media\">\n                  <div class=\"media-body\">\n                    <div class=\"title\">\n                      {{(element.object != null?element.object.nameid:\"UNASIGNED\")| translate }}\n                    </div>\n                  </div>\n                </div>\n              </td>\n            </tr>\n          </tbody>\n        </table>\n      </div>\n        <!-- protected region developer's' code on begin -->\n        <!-- protected region developer's' code end -->\n    </ng-template>\n\n\n    <ng-template #checklanguagescpt [ngIf]=\"(compact && multiSelect)\">\n\n      <p>{{'selectlanguages' | translate}}: &nbsp;\n        <button [disabled]=\"disabled\" class=\"btn btn-default\" (click)=\"openDialogMulti()\">{{'select'| translate}}</button>\n      </p>\n      <ul>\n        <li *ngFor=\"let element of selectedElements\">{{element.nameid | translate}}</li>\n      </ul>\n\n      <div class=\"modal fade\" [config]=\"{backdrop: 'static'}\" bsModal #languagesdialogmulti=\"bs-modal\" tabindex=\"-1\" role=\"dialog\">\n        <div class=\"modal-dialog\" role=\"document\">\n          <div class=\"modal-content\">\n            <div class=\"modal-header\">\n              <table class=\"table-list\">\n                <tr>\n                  <td>\n                    <b>{{'select' | translate}}</b>\n                  </td>\n                  <td>\n                    <button (click)=\"closeDialogMulti()\" type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"Close\">\n                      <span aria-hidden=\"true\">&times;</span>\n                    </button>\n                  </td>\n\n                </tr>\n              </table>\n            </div>\n            <div align=\"center\" class=\"modal-body\">\n\n              <div class=\"comboselectlist\">\n                <table class=\"table table-list table-filter\">\n                  <tbody>\n                    <tr [(hidden)]=\"element.hidden\" *ngFor=\"let element of data\">\n                      <td>\n                     \n                        <div class=\"ckbox\">\n                          <input [checked]=\"element.selected\" (change)=\"onMultipleListElementClicked(element)\" type=\"checkbox\" id=\"{{'checklanguages'+(element.object!=null?element.object.nameid:'-1')}}\"\n                          />\n                          <label for=\"{{'checklanguages'+(element.object!=null?element.object.nameid:'-1')}}\"></label>\n                        </div>\n                      </td>\n                      <td (click)=\"onMultipleListElementClicked(element)\" class=\"pullRight\">\n                        <div class=\"media\">\n                          <div class=\"media-body\">\n                            <div class=\"title\">\n                              {{(element.object != null?element.object.nameid:\"selectAll\")| translate }}\n                            </div>\n                          </div>\n                        </div>\n                      </td>\n                    </tr>\n                  </tbody>\n                </table>\n              </div>\n\n\n\n            </div>\n            <div align=\"center\" class=\"modal-footer\">\n              <button type=\"button\" class=\"btn btn-lg btn-uniandes-main\" (click)=\"closeDialogMulti()\">{{'select' | translate}}</button>\n            </div>\n          </div>\n\n        </div>\n      </div>\n    \n        <!-- protected region developer's' code on begin -->\n        <!-- protected region developer's' code end -->\n\n    </ng-template>\n  ",
                    styles: ["\n\n    .label-candidates{\n        padding-left: 5%;\n        padding-right: 5%;\n        font-style: italic;\n        padding-bottom: 18px;\n    }\n    .panel {\n        border: 1px solid #ddd;\n        background-color: #fcfcfc;\n    }\n    .panel .btn-group {\n        margin: 15px 0 30px;\n    }\n    .panel .btn-group .btn {\n        transition: background-color .3s ease;\n    }\n    .table{\n        margin: 0;\n    }\n    .table-list{\n        width: 90%;\n    }\n    .table-filter {\n        background-color: #fff;\n        border-bottom: 1px solid #eee;\n    }\n    .table-filter tbody tr:hover {\n        cursor: pointer;\n        background-color: #eee;\n    }\n    .table-filter tbody tr td {\n        padding-top: 5px;\n        padding-right: 0px;\n        padding-bottom:5px;\n        vertical-align: middle;\n        border-top-color: #eee;\n    }\n    .table-filter tr td:first-child {\n        width: 15px;\n    }\n    .table-filter tr td:nth-child(2) {\n        width: 15px;\n    }\n    .ckbox {\n        position: relative;\n    }\n\n    .ckbox input[type=\"checkbox\"] {\n        opacity: 0;\n    }\n    .ckbox label {\n        -webkit-user-select: none;\n        -moz-user-select: none;\n        -ms-user-select: none;\n        user-select: none;\n        display: block;\n    }\n    .ckbox label:before {\n        content: '';\n        top: 1px;\n        left: 0;\n        width: 18px;\n        height: 18px;\n        display: block;\n        position: absolute;\n        border-radius: 2px;\n        border: 1px solid #bbb;\n        background-color: #fff;\n        margin-top: 3px;\n    }\n    .ckbox input[type=\"checkbox\"]:checked + label:before {\n        border-color: #bbb;\n        background-color: #bbb;\n    }\n    .ckbox input[type=\"checkbox\"]:checked + label:after {\n        top: 0px;\n        left: 0px;\n        content: 'a';\n        color: #000;\n        font-size: 18px;\n        font-family: 'Webdings';\n        position: absolute;\n    \n    }\n\n    .ckbox input[type=\"radio\"]:checked + label:before {\n        border-color: #bbb;\n        background-color: #bbb;\n    }\n    .ckbox input[type=\"radio\"]:checked + label:after {\n        top: 3px;\n        left: 3px;\n        content: '⚫';\n        color: #000;\n        font-size: 15px;\n        font-family: 'Webdings';\n        position: absolute;\n    \n    }\n\n    .table-filter .star {\n        color: #ccc;\n        text-align: center;\n        display: block;\n    }\n    .table-filter .star.star-checked {\n        color: #F0AD4E;\n    }\n    .table-filter .star:hover {\n        color: #ccc;\n    }\n    .table-filter .star.star-checked:hover {\n        color: #F0AD4E;\n    }\n    .table-filter .media-photo {\n        width: 35px;\n    }\n\n    .table-filter .media-body {\n        display: block;\n        width: 100%;\n        /* Had to use this style to force the div to expand (wasn't necessary with my bootstrap version 3.3.6) */\n    }\n    .table-filter .media-meta {\n        font-size: 11px;\n        color: #999;\n    }\n    .table-filter .media .title {\n        color: #000000;\n        font-size: 14px;\n        line-height: normal;\n        margin: 0;\n    }\n    .table-filter .media .title span {\n        font-size: .8em;\n        margin-right: 20px;\n    }\n    .table-filter .media .title span.green {\n        color: #5cb85c;\n    }\n    .table-filter .media .title span.yellow {\n        color: #f0ad4e;\n    }\n    .table-filter .media .title span.red {\n        color: #d9534f;\n    }\n    .table-filter .media .summary {\n        font-size: 14px;\n    }\n    .table-list{\n\n        width: 100%;\n    }\n    .comboyear{\n        width: 90px;\n    }\n\n    .labelyear{\n        width: 85px;\n        text-align: right;\n        padding-right: 5px;\n        font-size: 13px;\n        padding-top: 5px;\n    \n    }\n\n    .modal-body{\n        padding: 0px !important;\n        margin: 0px !important;\n\n        max-height: 70vh !important;\n        overflow-y: auto;\n    }\n    .modal-footer{\n        display: block;\n        padding: 10px;\n    }\n\n\n    /* protected region developer's' code on begin */\n    /* protected region developer's' code end */\n    /*Common Styles*/\n    /*Buttons*/\n\n    .btn-uniandes-main { \n        color: #000000; \n        background-color: #FFFF00; \n        border-color: none; \n      } \n   \n      .btn-uniandes-main:hover, \n      .btn-uniandes-main:focus, \n      .btn-uniandes-main:active, \n      .btn-uniandes-main.active, \n      .open .dropdown-toggle.btn-uniandes-main { \n        color: #000000; \n        background-color: #DBD000; \n        border-color: none ; \n      } \n   \n      .btn-uniandes-main:active, \n      .btn-uniandes-main.active, \n      .open .dropdown-toggle.btn-uniandes-main { \n        background-image: none; \n      } \n   \n      .btn-uniandes-main.disabled, \n      .btn-uniandes-main[disabled], \n      fieldset[disabled] .btn-uniandes-main, \n      .btn-uniandes-main.disabled:hover, \n      .btn-uniandes-main[disabled]:hover, \n      fieldset[disabled] .btn-uniandes-main:hover, \n      .btn-uniandes-main.disabled:focus, \n      .btn-uniandes-main[disabled]:focus, \n      fieldset[disabled] .btn-uniandes-main:focus, \n      .btn-uniandes-main.disabled:active, \n      .btn-uniandes-main[disabled]:active, \n      fieldset[disabled] .btn-uniandes-main:active, \n      .btn-uniandes-main.disabled.active, \n      .btn-uniandes-main[disabled].active, \n      fieldset[disabled] .btn-uniandes-main.active { \n        background-color: #FFFF00; \n        border-color: none; \n      } \n   \n      .btn-uniandes-main .badge { \n        color: #FFFF00; \n        background-color: #000000; \n      }\n\n\n      .btn-uniandes-secondary { \n        color: #ffffff; \n        background-color: #000000; \n        border-color: none; \n      } \n   \n      .btn-uniandes-secondary:hover, \n      .btn-uniandes-secondary:focus, \n      .btn-uniandes-secondary:active, \n      .btn-uniandes-secondary.active, \n      .open .dropdown-toggle.btn-uniandes-secondary { \n        color: #ffffff; \n        background-color: #707070; \n        border-color: none; \n      } \n   \n      .btn-uniandes-secondary:active, \n      .btn-uniandes-secondary.active, \n      .open .dropdown-toggle.btn-uniandes-secondary { \n        background-image: none; \n      } \n   \n      .btn-uniandes-secondary.disabled, \n      .btn-uniandes-secondary[disabled], \n      fieldset[disabled] .btn-uniandes-secondary, \n      .btn-uniandes-secondary.disabled:hover, \n      .btn-uniandes-secondary[disabled]:hover, \n      fieldset[disabled] .btn-uniandes-secondary:hover, \n      .btn-uniandes-secondary.disabled:focus, \n      .btn-uniandes-secondary[disabled]:focus, \n      fieldset[disabled] .btn-uniandes-secondary:focus, \n      .btn-uniandes-secondary.disabled:active, \n      .btn-uniandes-secondary[disabled]:active, \n      fieldset[disabled] .btn-uniandes-secondary:active, \n      .btn-uniandes-secondary.disabled.active, \n      .btn-uniandes-secondary[disabled].active, \n      fieldset[disabled] .btn-uniandes-secondary.active { \n        background-color: #000000; \n        border-color: none; \n      } \n   \n      .btn-uniandes-secondary .badge { \n        color: #000000; \n        background-color: #ffffff; \n      }\n\n    /*Dialogs*/\n    .modal-header{\n        padding: 0px;\n        border: 0px;\n        background-color: #FFFF00;\n    }\n\n    .modal-header table{\n        margin: 0px;\n        border: 0px;   \n        width: 100%;\n    }\n\n    .modal-header table tr td{\n        padding: 10px;\n    \n    }\n    .modal-body{\n        padding-bottom: 20px;\n        margin-left: 20px;\n        margin-right: 20px;\n    }\n\n    .title-element{\n        padding-top: 5px;\n        padding-bottom: 5px;\n    }\n    .modal-content{\n        border-radius: 0px;\n        border: 0px;\n    }\n\n    .modal-header{\n          border-radius: 0;\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    LanguagesComboboxComponent.ctorParameters = function () { return []; };
    LanguagesComboboxComponent.propDecorators = {
        "modalDirectiveMulti": [{ type: core_1.ViewChild, args: ['languagesdialogmulti',] },],
    };
    return LanguagesComboboxComponent;
}(combo_box_1.ComboBox));
exports.LanguagesComboboxComponent = LanguagesComboboxComponent;
//# sourceMappingURL=languages.combobox.component.js.map