"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var platform_browser_1 = require("@angular/platform-browser");
var animations_1 = require("@angular/platform-browser/animations");
var core_1 = require("@angular/core");
var app_component_1 = require("./app.component");
var search_combo_box_module_1 = require("./search-combo-box/search-combo-box.module");
var yes_no_dialog_module_1 = require("./yes-no-dialog/yes-no-dialog.module");
var information_dialog_module_1 = require("./information-dialog/information-dialog.module");
var roles_type_combobox_module_1 = require("./academia-widgets/academyusers/roles.type.combobox/roles.type.combobox.module");
var active_option_combobox_module_1 = require("./academia-widgets/academygeneral/active.option.combobox/active.option.combobox.module");
var yesno_options_combobox_module_1 = require("./academia-widgets/academygeneral/yesno.options.combobox/yesno.options.combobox.module");
var job_status_combobox_module_1 = require("./academia-widgets/academyscheduler/job.status.combobox/job.status.combobox.module");
var file_select_module_1 = require("./file-select/file-select.module");
var forms_1 = require("@angular/forms");
var service_locator_1 = require("./service-locator");
var api_angular_academia_intl_1 = require("api-angular-academia-intl");
var crud_compact_module_1 = require("./crud-compact/crud-compact.module");
var ngx_bootstrap_1 = require("ngx-bootstrap");
var year_combo_box_module_1 = require("./academia-widgets/academyutil/year-combo-box/year-combo-box.module");
var format_product_combobox_module_1 = require("./academia-widgets/academygeneral/format-product-combobox/format-product-combobox.module");
var research_group_lines_list_module_1 = require("./academia-widgets/academycore/research.group.lines.list/research.group.lines.list.module");
var check_bar_state_module_1 = require("./check-bar-state/check-bar-state.module");
var resource_funding_data_module_1 = require("./academia-widgets/academyphd/resource-funding-data/resource-funding-data.module");
var product_type_combobox_module_1 = require("./academia-widgets/academyproducts/product.type.combobox/product.type.combobox.module");
var product_category_combobox_module_1 = require("./academia-widgets/academyproducts/product.category.combobox/product.category.combobox.module");
var faculty_category_combobox_module_1 = require("./academia-widgets/academycore/faculty.category.combobox/faculty.category.combobox.module");
var format_product_selectionbox_module_1 = require("./academia-widgets/academyproducts/format.product.selectionbox/format.product.selectionbox.module");
var product_state_combobox_module_1 = require("./academia-widgets/academyproducts/product.state.combobox/product.state.combobox.module");
var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule.decorators = [
        { type: core_1.NgModule, args: [{
                    declarations: [
                        app_component_1.AppComponent,
                    ],
                    imports: [
                        platform_browser_1.BrowserModule,
                        animations_1.BrowserAnimationsModule,
                        forms_1.FormsModule,
                        forms_1.ReactiveFormsModule,
                        api_angular_academia_intl_1.I18NModule,
                        ngx_bootstrap_1.AccordionModule.forRoot(),
                        search_combo_box_module_1.SearchComboBoxModule,
                        yes_no_dialog_module_1.YesNoDialogModule,
                        information_dialog_module_1.InformationDialogModule,
                        roles_type_combobox_module_1.RolesTypeComboboxModule,
                        year_combo_box_module_1.YearComboBoxModule,
                        format_product_combobox_module_1.FormatProductComboboxModule,
                        active_option_combobox_module_1.ActiveOptionComboboxModule,
                        yesno_options_combobox_module_1.YesNoOptionsComboboxModule,
                        job_status_combobox_module_1.JobStatusComboboxModule,
                        research_group_lines_list_module_1.ResearchGroupLineListModule,
                        file_select_module_1.FileSelectModule,
                        crud_compact_module_1.CrudCompactModule,
                        check_bar_state_module_1.CheckBarStateModule,
                        resource_funding_data_module_1.ResourceFundingDataModule,
                        product_type_combobox_module_1.ProductTypeComboboxModule,
                        faculty_category_combobox_module_1.FacultyCategoryComboboxModule,
                        format_product_selectionbox_module_1.FormatProductSelectionboxModule,
                        product_category_combobox_module_1.ProductCategoryComboboxModule,
                        product_state_combobox_module_1.ProductStateComboboxModule,
                    ],
                    providers: [service_locator_1.ServiceLocator],
                    bootstrap: [app_component_1.AppComponent]
                },] },
    ];
    return AppModule;
}());
exports.AppModule = AppModule;
//# sourceMappingURL=app.module.js.map