"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var BehaviorSubject_1 = require("rxjs/BehaviorSubject");
exports.NO_COMPONENT_MODEL = 'Please add [INPUT] Component Model in crud-compact component for generic searchs';
var CrudCompactService = /** @class */ (function () {
    function CrudCompactService() {
        this.currentStateData = new BehaviorSubject_1.BehaviorSubject(undefined);
        this.currentStateObs = this.currentStateData.asObservable();
    }
    CrudCompactService.prototype.updateState = function (state) {
        this.currentStateData.next(state);
    };
    CrudCompactService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    CrudCompactService.ctorParameters = function () { return []; };
    return CrudCompactService;
}());
exports.CrudCompactService = CrudCompactService;
//# sourceMappingURL=crud-compact.service.js.map