"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var Observable_1 = require("rxjs/Observable");
var http_1 = require("@angular/common/http");
var core_2 = require("@ngx-translate/core");
var FileSelectService = /** @class */ (function () {
    function FileSelectService(http, translateService) {
        this.http = http;
        this.translateService = translateService;
    }
    // Para este servicio el modelo del archivo debe tener al menos el nombre (name) y tamanio (size)
    // Para este servicio el modelo del archivo debe tener al menos el nombre (name) y tamanio (size)
    FileSelectService.prototype.getDownloadFileList = 
    // Para este servicio el modelo del archivo debe tener al menos el nombre (name) y tamanio (size)
    function (url) {
        return this.http.get(url).catch(this.handleError);
    };
    FileSelectService.prototype.downloadFile = function (url, item) {
        return this.http.post(url, item, { responseType: "blob" })
            .catch(this.handleError);
    };
    FileSelectService.prototype.deleteFile = function (url, item) {
        var options = {
            headers: new http_1.HttpHeaders({
                'Content-Type': 'application/json',
            }),
            body: item,
        };
        return this.http.delete(url, options).catch(this.handleError);
    };
    FileSelectService.prototype.handleError = function (error) {
        return Observable_1.Observable.throw(error.error || 'Server error');
    };
    FileSelectService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    FileSelectService.ctorParameters = function () { return [
        { type: http_1.HttpClient, },
        { type: core_2.TranslateService, },
    ]; };
    return FileSelectService;
}());
exports.FileSelectService = FileSelectService;
//# sourceMappingURL=file-select.service.js.map