import { OnInit, SimpleChanges } from '@angular/core';
import { SearchAcademyComboBoxComponent } from '../../search-academy-combo-box/search-academy-combo-box.component';
import { ServiceLocator } from '../../../service-locator';
import { SearchComboBoxService } from '../../search-combo-box.service';
import { TranslateService } from '@ngx-translate/core';
import { TitleCaseAcademiaPipe } from '../../../utils/titlecase-academia.pipe';
export declare class CityComboBoxComponent extends SearchAcademyComboBoxComponent implements OnInit {
    urlService: ServiceLocator;
    searchBoxUtils: SearchComboBoxService;
    transService: TranslateService;
    titlecasePipe: TitleCaseAcademiaPipe;
    constructor(urlService: ServiceLocator, searchBoxUtils: SearchComboBoxService, transService: TranslateService, titlecasePipe: TitleCaseAcademiaPipe);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    sendItemSelectedEvent(event: any): void;
}
