import { OnInit, EventEmitter, OnChanges, SimpleChanges, ChangeDetectorRef } from '@angular/core';
import { SearchComboBoxService } from '../search-combo-box.service';
import { ServiceLocator } from '../../service-locator';
import { SearchAcademyComboBoxComponent } from '../search-academy-combo-box/search-academy-combo-box.component';
import { TranslateService } from '@ngx-translate/core';
import { TitleCaseAcademiaPipe } from '../../utils/titlecase-academia.pipe';
export declare class SearchDependencyComboBoxComponent extends SearchAcademyComboBoxComponent implements OnInit, OnChanges {
    urlService: ServiceLocator;
    searchBoxUtils: SearchComboBoxService;
    transService: TranslateService;
    titlecasePipe: TitleCaseAcademiaPipe;
    private ref;
    depCombo: any;
    depComboSetup: any;
    userRestrict: any;
    multiSelect: boolean;
    itemsSelected: EventEmitter<any>;
    preSelectedValues: any[];
    constructor(urlService: ServiceLocator, searchBoxUtils: SearchComboBoxService, transService: TranslateService, titlecasePipe: TitleCaseAcademiaPipe, ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setUrlServiceHost(): void;
    addUserNameRestriction(userData: any): void;
    setTotalRecordsForSearch(event: any): void;
    sendItemSelectedEvent(event: any): void;
    multiItemsPropagateEvent(event: any): void;
}
