"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var core_2 = require("@ngx-translate/core");
var ProgramLevelPipe = /** @class */ (function () {
    function ProgramLevelPipe(translateService) {
        this.translateService = translateService;
    }
    ProgramLevelPipe.prototype.transform = function (value, args) {
        return this.translateService.instant(value);
    };
    ProgramLevelPipe.decorators = [
        { type: core_1.Pipe, args: [{
                    name: 'programLevel'
                },] },
    ];
    /** @nocollapse */
    ProgramLevelPipe.ctorParameters = function () { return [
        { type: core_2.TranslateService, },
    ]; };
    return ProgramLevelPipe;
}());
exports.ProgramLevelPipe = ProgramLevelPipe;
//# sourceMappingURL=program-level.pipe.js.map