"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var utils_service_1 = require("./utils.service");
var titlecase_academia_pipe_1 = require("./titlecase-academia.pipe");
var program_level_pipe_1 = require("./program-level.pipe");
var safe_url_pipe_1 = require("./safe-url.pipe");
var UtilsModule = /** @class */ (function () {
    function UtilsModule() {
    }
    UtilsModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule,
                    ],
                    declarations: [titlecase_academia_pipe_1.TitleCaseAcademiaPipe, program_level_pipe_1.ProgramLevelPipe, safe_url_pipe_1.SafeUrlPipe],
                    exports: [titlecase_academia_pipe_1.TitleCaseAcademiaPipe, program_level_pipe_1.ProgramLevelPipe, safe_url_pipe_1.SafeUrlPipe],
                    providers: [utils_service_1.UtilsService, titlecase_academia_pipe_1.TitleCaseAcademiaPipe, program_level_pipe_1.ProgramLevelPipe, safe_url_pipe_1.SafeUrlPipe]
                },] },
    ];
    return UtilsModule;
}());
exports.UtilsModule = UtilsModule;
//# sourceMappingURL=utils.module.js.map