import { ServiceLocator } from "../service-locator";
export declare class UtilsService {
    private mainLocator;
    constructor(mainLocator: ServiceLocator);
    clearUndefinedProperties(obj: any): void;
    clearUndefinedValuesInArray(list: any[]): any[];
    compareUrlWithRegx(url: string, regExp: RegExp): boolean;
    isAcademiaPhdStudentsListUrl(url: string): boolean;
    isAcademiaPhdStudentsDetailUrl(url: string): boolean;
    isAcademiaAllStudentsListUrl(url: string): boolean;
    isAcademiaAllStudentsDetailUrl(url: string): boolean;
    /**
     * Create MD5 hash
     * @param value
     */
    generateMd5(value: string): string;
    /**
     * Get Url Report
     * @param modelData
     * @Return url report used in browser
     */
    getUrlReport(modelData: any): string;
    /**
     * Show Report in new window
     * @param modelData
     */
    callGenerateReport(modelData: any): void;
    /**
     * Normalized Params to Hash
     * @param modelData
     */
    private normalizedParamsToHash(modelData);
    private setParams(modelData, hash);
    private getDateForUrl();
    private getSortParamsValues(keysSort, query);
    setIdTypes(idsType: any): any;
}
